## org.apache.poi.util
Class CloseIgnoringInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              org.apache.poi.util.CloseIgnoringInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class CloseIgnoringInputStream

extends java.io.FilterInputStream

A wrapper around an `InputStream`, which ignores close requests made to it. Useful with `POIFSFileSystem`, where you want to control the close yourself.

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`CloseIgnoringInputStream(java.io.InputStream in)`

Method Summary
`void` `close()`

Methods inherited from class java.io.FilterInputStream
`available, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CloseIgnoringInputStream

    public CloseIgnoringInputStream(java.io.InputStream in)

Method Detail

### close

    public void close()

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.FilterInputStream`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.